aboutsummaryrefslogtreecommitdiff
path: root/debian/locale-gen
diff options
context:
space:
mode:
authorCharles Kerr <charles.kerr@canonical.com>2013-12-13 11:57:58 -0600
committerCharles Kerr <charles.kerr@canonical.com>2013-12-13 11:57:58 -0600
commit080af76066c8781b4b6dbfcc447c13fb0d1bb28c (patch)
tree75244ea7d7d3874b211c04da0f12118c2ae519b6 /debian/locale-gen
parentbb0c9077bbdf00adf7b737a84730959250d91200 (diff)
downloadayatana-indicator-datetime-080af76066c8781b4b6dbfcc447c13fb0d1bb28c.tar.gz
ayatana-indicator-datetime-080af76066c8781b4b6dbfcc447c13fb0d1bb28c.tar.bz2
ayatana-indicator-datetime-080af76066c8781b4b6dbfcc447c13fb0d1bb28c.zip
ensure that we have 12h and 24h locales installed at build time -- the unit tests need them
Diffstat (limited to 'debian/locale-gen')
-rw-r--r--debian/locale-gen31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/locale-gen b/debian/locale-gen
new file mode 100644
index 0000000..437dec5
--- /dev/null
+++ b/debian/locale-gen
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+LOCPATH=`pwd`/locales
+export LOCPATH
+
+[ -d $LOCPATH ] || mkdir -p $LOCPATH
+
+umask 022
+
+echo "Generating locales..."
+while read locale charset; do
+ case $locale in \#*) continue;; esac
+ [ -n "$locale" -a -n "$charset" ] || continue
+ echo -n " `echo $locale | sed 's/\([^.\@]*\).*/\1/'`"
+ echo -n ".$charset"
+ echo -n `echo $locale | sed 's/\([^\@]*\)\(\@.*\)*/\2/'`
+ echo -n '...'
+ if [ -f $LOCPATH/$locale ]; then
+ input=$locale
+ else
+ input=`echo $locale | sed 's/\([^.]*\)[^@]*\(.*\)/\1\2/'`
+ fi
+ localedef -i $input -c -f $charset $LOCPATH/$locale #-A /etc/locale.alias
+ echo ' done'; \
+done <<EOF
+# Put the list of locales you need here:
+en_GB.utf8 UTF-8
+en_US.utf8 UTF-8
+EOF
+
+echo "Generation complete."